Name:						is-interface
Version:					1.12.1
Release:					6%{?dist}
Summary:					Information service library for the lcg bdii system
Group:						Applications/Internet
License:					ASL 2.0+
URL:						https://svnweb.cern.ch/trac/lcgutil
# svn export http://svn.cern.ch/guest/lcgutil/is-interface/trunk is-interface-1.12.1
Source0:					http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}.tar.gz 
BuildRoot:					%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:				cmake
BuildRequires:				openldap-devel
BuildRequires:				glib2-devel

Requires:					openldap%{?_isa}

%description
Information service library for the bdii system.
Provide an API to interact with the lcg BDII system, \
compatible GLUE 1.0 and GLUE 2.0

%package devel
Summary:					Development files for is-interface
Group:						Applications/Internet
Requires:					%{name}%{?_isa} = %{version}-%{release}
Requires:					pkgconfig%{?_isa}

%description devel
development files for is-interface

%post -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT";
make clean

%prep
%setup -q

%build
%cmake -D DOC_INSTALL_DIR=%{_docdir}/%{name}-%{version} .
make %{?_smp_mflags}

%postun -p /sbin/ldconfig

%install
rm -rf "$RPM_BUILD_ROOT"; 
make %{?_smp_mflags} install DESTDIR="$RPM_BUILD_ROOT" 

%files devel
%defattr (-,root,root)
%{_bindir}/glite_sd_query
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ServiceDiscoveryIfce.h
%{_docdir}/%{name}-%{version}/RELEASE-NOTES
%{_libdir}/libis_ifce.so


%files 
%defattr (-,root,root)
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/VERSION
%{_libdir}/libis_ifce.so.*


%changelog
* Tue Jan 17 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-6
 - add pkgconfig dependency

* Mon Jan 16 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-5
 - add package config files
 - change build-root
 - add source URL
 
* Wed Jan 11 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-4
 - create versioning per branch

* Thu Jan 05 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-3
 - Second Revision for EPEL/fedora conformance

* Fri Dec 16 2011 adevress at cern.ch 1.12.1-2
 - First Revision for EPEL/fedora conformance
 
* Mon Nov 28 2011 <adevress at cern.ch> 1.12.1-1
 - packaging of the first 1.1.3 version of is-interface
